import { get, put, post, deletes } from '@/http/index'

// 查询预处理列表
export const getPreProcessing = async (data) => {
  return await get('/als/preProcessing/list', data)
}

// 新增预处理
export const addPreProcessing = async (data) => {
  return await post('/als/preProcessing', data)
}

// 修改预处理
export const updatePreProcessing = async (data) => {
  return await put('/als/preProcessing', data)
}

// 删除预处理
export const removePreProcessing = async (id) => {
  return await deletes('/als/preProcessing/' + id)
}

//  获取机种和机型树
export const getAircaftTypeAndModelTree = async (data) => {
  return await get('/basicdata/aircaftCatalog/getAircaftTypeAndModelTree', data)
}
